//
//  MovieBugAppDelegate.m
//  MovieBug
//
//  Created by David Oster on 10/12/09.
//  Copyright Google Inc 2009
//
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//
//        http://www.apache.org/licenses/LICENSE-2.0
//
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
//
//

#import "MovieBugAppDelegate.h"
#import "RootViewController.h"
#import "WebViewController.h"


@implementation MovieBugAppDelegate

@synthesize window = window_;
@synthesize navController = navController_;

- (void)applicationDidFinishLaunching:(UIApplication *)application { 
  [navController_ setDelegate:self];
  [navController_ setNavigationBarHidden:YES animated:YES];
  [window_ addSubview:[navController_ view]];
  [window_ makeKeyAndVisible];
}

- (void)navigationController:(UINavigationController *)navigationController
       didShowViewController:(UIViewController *)viewController
                    animated:(BOOL)animated {
  if (viewController == rootController_) {
    [navController_ setNavigationBarHidden:YES animated:YES];
  }
}

- (void)dealloc {
	[navController_ release];
	[window_ release];
	[super dealloc];
}

- (IBAction)pushWebView:(id)sender {
  WebViewController *wvc = [[[WebViewController alloc] init] autorelease];
  [navController_ setNavigationBarHidden:NO animated:YES];
  [navController_ pushViewController:wvc animated:YES];
}


@end

